Bug 1120876 - Bluetooth mouse pairing lost after resume or reboot [NEEDINFO]
Summary: Bluetooth mouse pairing lost after resume or reboot
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 20
Hardware: x86_64
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-17 21:54 UTC by Vincent Douillet
Modified: 2015-06-29 21:37 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 21:37:35 UTC
kernel-team: needinfo?


Attachments (Terms of Use)

Description Vincent Douillet 2014-07-17 21:54:06 UTC
Description of problem:
When I suspend or reboot my laptop (Asus UX32LA), my bluetooth mouse doesn't work anymore. Though I can see that it tries to pair with the computer because when I move the mouse, I can briefly see the bluetooth indicator telling that a device is connected... Then it vanishes. The mouse does not work during this whole process.
When looking at the output of "journalctl -b" I noticed that these two lines appear each time that the mouse tries to pair :

Jul 17 23:21:46 mylaptop bluetoothd[4063]: Refusing input device connect: No such file or directory (2)
Jul 17 23:21:46 mylaptop bluetoothd[4063]: Refusing connection from 00:07:61:FC:FC:BA: unknown device

If I do the pairing process again, the mouse works fine.

Steps to Reproduce:
1. Start computer, pair a bluetooth mouse
2. Put the computer to sleep (by closing the lid)
3. Resume computer
4. Try to use the mouse

Actual results: The mouse connection is refused and it doesn't work


Expected results: The mouse should work properly after resuming without having to pair it again.


Additional info:
I didn't test any other device than my mouse.
The bluetooth adapter seems to be an Atheros AR9462 wlan + bluetooth combo ; the "ath3k" kernel module is loaded.
I chose "kernel" as the component for this bug because it's a required field and I don't know which component is truly responsible.

Comment 1 Vincent Douillet 2014-07-17 21:56:03 UTC
I should also add that I'm using gnome 3.10.2 and kernel 3.15.4-200

Comment 2 Justin M. Forbes 2014-11-13 15:56:52 UTC
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 20 kernel bugs.

Fedora 20 has now been rebased to 3.17.2-200.fc20.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 21, and are still experiencing this issue, please change the version to Fedora 21.

If you experience different issues, please open a new bug report for those.

Comment 3 Stan King 2014-11-23 17:54:13 UTC
This is working on one of my Fedora 20 systems, but not on another.  The system on which bluetooth comes up disabled after a suspend requires the bluez-hid2hci package in order to use the bluetooth interface.  Perhaps that's the relevant difference.

Kernel: 3.17.3-200.fc20.x86_64

lsusb output:

Bus 002 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 007 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 006 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 005 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 001 Device 004: ID 413c:8147 Dell Computer Corp. F3507g Mobile Broadband Module
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 004 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 003 Device 009: ID 0a5c:4503 Broadcom Corp. Mouse (Boot Interface Subclass)
Bus 003 Device 008: ID 0a5c:4502 Broadcom Corp. Keyboard (Boot Interface Subclass)
Bus 003 Device 007: ID 413c:8126 Dell Computer Corp. Wireless 355 Bluetooth
Bus 003 Device 006: ID 0a5c:4500 Broadcom Corp. BCM2046B1 USB 2.0 Hub (part of BCM2046 Bluetooth)
Bus 003 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub

Let me know what other info might be needed to figure this out.

Comment 4 Fedora Kernel Team 2015-02-24 16:22:47 UTC
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 20 kernel bugs.

Fedora 20 has now been rebased to 3.18.7-100.fc20.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 21, and are still experiencing this issue, please change the version to Fedora 21.

If you experience different issues, please open a new bug report for those.

Comment 5 Stan King 2015-02-28 18:56:35 UTC
After resuming from a suspend in Fedora 20, bluetooth is disabled, even if it was enabled before the suspend.

If someone can explain how to address that, I can retest.  I'm using the xfce environment.

Comment 6 Fedora Kernel Team 2015-04-28 18:31:46 UTC
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 20 kernel bugs.

Fedora 20 has now been rebased to 3.19.5-100.fc20.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 21, and are still experiencing this issue, please change the version to Fedora 21.

If you experience different issues, please open a new bug report for those.

Comment 7 Fedora End Of Life 2015-05-29 12:23:57 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 8 Fedora End Of Life 2015-06-29 21:37:35 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.